From 355be24fd2bc7f10e7dc3fbee72114172f7aab02 Mon Sep 17 00:00:00 2001
From: Topi Reinio <topi.reinio@qt.io>
Date: Mon, 27 Jul 2020 15:47:10 +0200
Subject: [PATCH 077/262] Doc: Document QGradient::Preset enum values
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Fixes: QTBUG-85749
Change-Id: Ie77145e851ff64d4c88fce7211135d66e9b94a84
Reviewed-by: Tor Arne Vestbø <tor.arne.vestbo@qt.io>
Reviewed-by: Paul Wicking <paul.wicking@qt.io>
(cherry picked from commit fddb0c895f9a12d61bbc4cf33149a8d1a93eaf19)
Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
---
 src/gui/painting/qbrush.cpp | 171 +++++++++++++++++++++++++++++++++++-
 1 file changed, 170 insertions(+), 1 deletion(-)

diff --git a/src/gui/painting/qbrush.cpp b/src/gui/painting/qbrush.cpp
index 89f3374ea1..9e5605dd48 100644
--- a/src/gui/painting/qbrush.cpp
+++ b/src/gui/painting/qbrush.cpp
@@ -1354,7 +1354,176 @@ QGradient::QGradient()
     \since 5.12
 
     This enum specifies a set of predefined presets for QGradient,
-    based on the gradients from https://webgradients.com/.
+    based on the gradients from \l {https://webgradients.com/}.
+
+    \value WarmFlame
+    \value NightFade
+    \value SpringWarmth
+    \value JuicyPeach
+    \value YoungPassion
+    \value LadyLips
+    \value SunnyMorning
+    \value RainyAshville
+    \value FrozenDreams
+    \value WinterNeva
+    \value DustyGrass
+    \value TemptingAzure
+    \value HeavyRain
+    \value AmyCrisp
+    \value MeanFruit
+    \value DeepBlue
+    \value RipeMalinka
+    \value CloudyKnoxville
+    \value MalibuBeach
+    \value NewLife
+    \value TrueSunset
+    \value MorpheusDen
+    \value RareWind
+    \value NearMoon
+    \value WildApple
+    \value SaintPetersburg
+    \value PlumPlate
+    \value EverlastingSky
+    \value HappyFisher
+    \value Blessing
+    \value SharpeyeEagle
+    \value LadogaBottom
+    \value LemonGate
+    \value ItmeoBranding
+    \value ZeusMiracle
+    \value OldHat
+    \value StarWine
+    \value HappyAcid
+    \value AwesomePine
+    \value NewYork
+    \value ShyRainbow
+    \value MixedHopes
+    \value FlyHigh
+    \value StrongBliss
+    \value FreshMilk
+    \value SnowAgain
+    \value FebruaryInk
+    \value KindSteel
+    \value SoftGrass
+    \value GrownEarly
+    \value SharpBlues
+    \value ShadyWater
+    \value DirtyBeauty
+    \value GreatWhale
+    \value TeenNotebook
+    \value PoliteRumors
+    \value SweetPeriod
+    \value WideMatrix
+    \value SoftCherish
+    \value RedSalvation
+    \value BurningSpring
+    \value NightParty
+    \value SkyGlider
+    \value HeavenPeach
+    \value PurpleDivision
+    \value AquaSplash
+    \value SpikyNaga
+    \value LoveKiss
+    \value CleanMirror
+    \value PremiumDark
+    \value ColdEvening
+    \value CochitiLake
+    \value SummerGames
+    \value PassionateBed
+    \value MountainRock
+    \value DesertHump
+    \value JungleDay
+    \value PhoenixStart
+    \value OctoberSilence
+    \value FarawayRiver
+    \value AlchemistLab
+    \value OverSun
+    \value PremiumWhite
+    \value MarsParty
+    \value EternalConstance
+    \value JapanBlush
+    \value SmilingRain
+    \value CloudyApple
+    \value BigMango
+    \value HealthyWater
+    \value AmourAmour
+    \value RiskyConcrete
+    \value StrongStick
+    \value ViciousStance
+    \value PaloAlto
+    \value HappyMemories
+    \value MidnightBloom
+    \value Crystalline
+    \value PartyBliss
+    \value ConfidentCloud
+    \value LeCocktail
+    \value RiverCity
+    \value FrozenBerry
+    \value ChildCare
+    \value FlyingLemon
+    \value NewRetrowave
+    \value HiddenJaguar
+    \value AboveTheSky
+    \value Nega
+    \value DenseWater
+    \value Seashore
+    \value MarbleWall
+    \value CheerfulCaramel
+    \value NightSky
+    \value MagicLake
+    \value YoungGrass
+    \value ColorfulPeach
+    \value GentleCare
+    \value PlumBath
+    \value HappyUnicorn
+    \value AfricanField
+    \value SolidStone
+    \value OrangeJuice
+    \value GlassWater
+    \value NorthMiracle
+    \value FruitBlend
+    \value MillenniumPine
+    \value HighFlight
+    \value MoleHall
+    \value SpaceShift
+    \value ForestInei
+    \value RoyalGarden
+    \value RichMetal
+    \value JuicyCake
+    \value SmartIndigo
+    \value SandStrike
+    \value NorseBeauty
+    \value AquaGuidance
+    \value SunVeggie
+    \value SeaLord
+    \value BlackSea
+    \value GrassShampoo
+    \value LandingAircraft
+    \value WitchDance
+    \value SleeplessNight
+    \value AngelCare
+    \value CrystalRiver
+    \value SoftLipstick
+    \value SaltMountain
+    \value PerfectWhite
+    \value FreshOasis
+    \value StrictNovember
+    \value MorningSalad
+    \value DeepRelief
+    \value SeaStrike
+    \value NightCall
+    \value SupremeSky
+    \value LightBlue
+    \value MindCrawl
+    \value LilyMeadow
+    \value SugarLollipop
+    \value SweetDessert
+    \value MagicRay
+    \value TeenParty
+    \value FrozenHeat
+    \value GagarinView
+    \value FabledSunset
+    \value PerfectBlue
 */
 
 /*!
-- 
2.33.0

